package com.dx.easychat.easychatting.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;
import lombok.extern.log4j.Log4j2;

import java.util.Date;

@Data
@NoArgsConstructor
@AllArgsConstructor
@ToString
@Log4j2
@TableName("db_file")
public class FileEntity {

    @TableId(type = IdType.AUTO)
    private Integer id;

    private String uuid;

    private String fileName;

    private String fileType;

    private String fileMimeType;

    private String filePath;

    private Integer isDelete;

    private Date uploadTime;
}
