package com.dx.easychat.easychatting.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.dx.easychat.easychatting.entity.FileEntity;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;

import java.util.List;

@Mapper
public interface FileEntityMapper extends BaseMapper<FileEntity> {

    @Select("SELECT file_path FROM db_message t1 LEFT JOIN db_file t2 on t1.file = t2.uuid WHERE type = 'file' AND t1.is_delete = 1")
    List<String> findAllDeleteFilePath();

}
